aboutsummaryrefslogtreecommitdiffstats
path: root/checkspelling.sh
diff options
context:
space:
mode:
Diffstat (limited to 'checkspelling.sh')
-rwxr-xr-xcheckspelling.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/checkspelling.sh b/checkspelling.sh
index 654fef0..ac794f7 100755
--- a/checkspelling.sh
+++ b/checkspelling.sh
@@ -1,9 +1,15 @@
#!/bin/bash
echo "Building docs..."
-mkdocs build --clean
+mkdocs build
+if [ $? -ne 0 ]; then
+ exit 1
+fi
echo "Compiling Dictionary..."
aspell --lang=en create master ./tmp <.spell-dict
+if [ $? -ne 0 ]; then
+ exit 1
+fi
echo "Checking spelling..."
let "fails=0"